<?php

/****************************************************************************
name:		chief-banner.php
version:	1.0
copyright:	(c) 2004 Carsten Meier

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

contact:	Carsten Meier
		Under de Diek 19
		D-26757 Borkum
		Germany

homepage:	http://www.trexity.de/
e-mail:		trexity@t-online.de/
****************************************************************************/


// takes reference to array of strings, a format string, and a boolean that
// indicates whether the printed entry should be removed
// returns key of printed string, NULL on error

function print_random_string(&$strings, $format = '%s', $remove = true)
{
	$keys = array_keys($strings);
	$x = count($keys);
	if(!$x)
		return NULL;
	$x = mt_rand(0, $x-1);
	$key = $keys[$x];

	// print string

	printf($format, trim($strings[$key]));

	if($remove)
		unset($strings[$key]);
	return $key;
}


// returns true if successful, false otherwise

function print_random_string_from_file($filename, $format = '%s')
{
	// read strings

	$strings = file($filename);
	if(!$strings)
		return false;

	$key = print_random_string($strings, $format, false);
	return isset($key);
}


?>